com.microfocus.awm.model.toolexecution

## Interface IDynamicObject

- All Known Subinterfaces:
    IComplexAttribute, IFileInputParameter, IFileOutputParameter, IFileParameter, IFunctionPackage, IMassProcessingSubContext, IMassProcessingToolContext, IModeledFileOutputParameter, IModeledPropertyOutputParameter, IModeledToolOutputParameter, IPropertyOutputParameter, IPropertyParameter, IStringInputParameter, IToolContext, IToolInputParameter, IToolOutputParameter, IToolParameter
  All Known Implementing Classes:
    AbstractToolContext, AbstractToolParameter, ComplexAttributeImpl, FileInputParameter, FileOutputParameter, FunctionPackageImpl, LegacyToolExecutorContext, MassProcessingSubContext, MassProcessingToolContext, ModeledFileOutputParameter, ModeledPropertyOutputParameter, ModeledToolOutputParameter, PropertyOutputParameter, SingleProcessingToolContext, StringInputParameter, TableOutputParameter, ToolOutputParameter

      public interface IDynamicObject

  An object that can contain custom attributes defined via the AWM model extension point.
  Author:
    Micro Focus

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default java.util.Map<java.lang.String,java.lang.Object>` | `getAttributes()` Gets a list of all dynamic attributes and values.
    `default java.lang.Object` | `getAttributeValue(java.lang.String pAttributeID)` Gets the value of an attribute with the given ID or name.
    `default java.util.Collection<IComplexAttribute>` | `getComplexAttributes()` Gets a collection of all `IComplexAttribute`s which represent the child complex attributes of an `IDynamicObject`.
    `DynamicObject` | `getModelObject()` Gets the model object.

- - ### Method Detail

    - #### getComplexAttributes

          default java.util.Collection<IComplexAttribute> getComplexAttributes()

      Gets a collection of all `IComplexAttribute`s which represent the child complex attributes of an `IDynamicObject`.
      Returns:
        a collection of all `IComplexAttribute`s.

    - #### getAttributeValue

          default java.lang.Object getAttributeValue(java.lang.String pAttributeID)

      Gets the value of an attribute with the given ID or name. The fully qualified ID starts with the function package ID while the name is only the last ID qualifier.
      Parameters:
        `pAttributeID` - the attribute ID or name
      Returns:
        the attribute value or `null`

    - #### getAttributes

          default java.util.Map<java.lang.String,java.lang.Object> getAttributes()

      Gets a list of all dynamic attributes and values.
      Returns:
        a list of all attributes and values

    - #### getModelObject

          DynamicObject getModelObject()

      Gets the model object.
      Returns:
        the model object

Copyright © 2015 Micro Focus GmbH. All rights reserved.